#
# spec file for package cups-drivers (Version 1.1.20)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  a2ps cups-devel cups-libs ghostscript-library libgimpprint libgimpprint-devel libjpeg libpng-devel-packages libtiff libxml2 libxml2-devel libxslt openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel a2ps autoconf automake binutils cups-devel cups-libs gcc gdbm gettext ghostscript-library libgimpprint libgimpprint-devel libjpeg libpng libpng-devel libtiff libtool libxml2 libxml2-devel libxslt openssl-devel perl rpm

Name:         cups-drivers
License:      GPL
Group:        Hardware/Printing
Summary:      Drivers for the Common UNIX Printing System
Version:      1.1.20
Release:      66.1
Provides:     cups_drv
Requires:     ghostscript-library >= 7.05, foomatic-filters
PreReq:       sysvinit, sh-utils
Obsoletes:    cups_drv
Autoreqprov:  0
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
# number of jobs to run simultaneously
%define numprocs %(cat %_sourcedir/CPUs 2>/dev/null || echo 1)
# linuxprinting.org database variables
%define DBDate 20040301
%define foomaticver cvs
%define hpijsver cvs
%define gimpprintver 4.2.6
#URL: http://www.linuxprinting.org/download/foomatic/
# Source0:      http://www.linuxprinting.org/download/foomatic/foomatic-db-engine-%{foomaticver}-%{DBDate}.tar.bz2
Source0:      http://www.linuxprinting.org/download/foomatic/foomatic-db-engine-3.0.1.tar.bz2
# Source1:      http://www.linuxprinting.org/download/foomatic/foomatic-filters-%{foomaticver}-%{DBDate}.tar.bz2
Source1:      http://www.linuxprinting.org/download/foomatic/foomatic-filters-3.0.1.tar.bz2
Source2:      http://www.linuxprinting.org/download/foomatic/foomatic-db-%{DBDate}.tar.bz2
Source3:      http://www.linuxprinting.org/download/foomatic/foomatic-db-hpijs-%{hpijsver}-%{DBDate}.tar.bz2
# make sure that gimp-print version NEVER differs from ghostscript-library
Source4:      gimp-print-%{gimpprintver}.tar.bz2 
Source5:      cups-drivers-japanese.tar.bz2
Source100:    foomatic-driver.known
Source101:    foomatic-driver.unsupported
Source102:    hpijs-dj3600.files
#Patch0:       foomatic-db-engine-%{foomaticver}-%{DBDate}.dif
Patch1:       cups-drivers-A4.patch
Patch2:       cups-drivers-stp-A4.patch
Patch3:       cups-drivers-ia64.patch
Patch4:       gimp-print-4.2.6.dif
Patch6:       gimp-print-4.2.6-pcl.dif
Patch7:       gimp-print-4.2.5-conf.patch
Patch8:       gimp-print-4.2.6-sysfs_support.patch
Patch9:       cups-drivers-samsunggdi.patch
#Patch10:      foomatic-db-engine-usb.patch
Patch11:      foomatic-db-engine-fastdb.diff
Patch12:      foomatic-db-oce9050.patch
Patch13:      gimp-print-4.2.6-epson_horizontal_adjustment.patch
Patch14:      gimp-print-4.2.6-page_counting.patch

%description
This package contains free printer driver descriptions for CUPS. It
contains a recent snapshot of the printer database from
http://www.linuxprinting.org.



Authors:
--------
    Grant Taylor <www.linuxprinting.com>

%package stp
Summary:      Gimp-Print drivers for CUPS
Group:        Hardware/Printing
Requires:     ghostscript-library >= 7.05, cups >= 1.1.15, pstoraster

%description -n cups-drivers-stp
This package contains the Gimp-Print drivers (formaly known as stp
drivers) for CUPS.



%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
# remove all cups-o-matic PPDs
# rm -rf usr/share/cups/model/cups-o-matic
# uncompress recent linuxprinting PPDs
%setup -q -c -n %{name}
%setup -q -T -D -a 0 -n %{name}
# mv foomatic-db-engine-%{foomaticver}-%{DBDate} foomatic-db-engine
mv foomatic-db-engine-3.0.1 foomatic-db-engine
%setup -q -T -D -a 1 -n %{name}
# mv foomatic-filters-%{foomaticver}-%{DBDate} foomatic-filters
mv foomatic-filters-3.0.1 foomatic-filters
%setup -q -T -D -a 2 -n %{name}
mv foomatic-db-%{DBDate} foomatic-db
%setup -q -T -D -a 3 -n %{name}
mv foomatic-db-hpijs-%{hpijsver}-%{DBDate} foomatic-db-hpijs
%setup -q -T -D -a 4 -n %{name}
mv gimp-print-%{gimpprintver} gimp-print
# %setup -q -T -D -a 5 -n %{name}
#
pushd foomatic-db-engine
# %patch0
popd
#
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch7
%patch8 -p1
%patch9 -p1
# %patch10 -p0
#%patch11 -p0
pushd gimp-print
%patch4 -p1
%patch6 -p1
%patch13 -p1
%patch14 -p1
popd
%patch12 -p1
# ------- %Build ------------------------------------------------------------

%build
# abbrev.
mydir=$RPM_BUILD_DIR/%{name}
# Generate a working set into the package source tree
#
##### GIMP PRINT
# start with gimp-print and generate foomatic files.
export PATH=$PATH":$mydir"
pushd gimp-print
CFLAGS="$RPM_OPT_FLAGS  -fno-strict-aliasing" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir} \
	--with-cups \
	--without-gimp \
	--without-ghost \
	--with-ijs \
	--with-foomatic \
	--with-foomatic3 \
	--without-escputil \
	--with-samples \
	--enable-static \
	--disable-shared \
	--disable-libgimpprint \
	--without-translated-ppds
make
cd src/foomatic
# Set default values to get a better image quality: Image Type to
# "Photographs" and Gamma to 1.6.
perl -p -i -e 's:<arg_defval>1</arg_defval>:<arg_defval>1.6</arg_defval>:' foomatic-db/*/opt/gimp-print*-gamma.xml
perl -p -i -e 's:<arg_defval>gimp-print-(.*)LineArt</arg_defval>:<arg_defval>gimp-print-$1Photographs</arg_defval>:' foomatic-db/*/opt/gimp-print*-imagetype.xml
# Remove the hard-coded "foomatic-kitload" from the Makefile because it only
# works on an installed Foomatic database. We do the "foomatic-kitload"
# manually during the further build. The ":" is a neutral shell command, it
# does nothing and exits with 0, independent with which command line options
# it is called.
perl -p -i -e 's/FOOMATIC_KITLOAD\s*=.*$/FOOMATIC_KITLOAD = :/' Makefile
./foomatic-generator
# A4 fixes... XXXXXXXXX
#cp foomatic-db/gimp-print/opt/* $mydir/db/source/opt
#cp foomatic-db/gimp-print/driver/* $mydir/db/source/driver
#perl -pi -e 's:arg_defval>ev\/gimp-print-Letter<\/arg_defval:arg_defval>ev\/gimp-print-A4<\/arg_defval:' $mydir/share/foomatic/db/source/opt/gimp-print-pagesize.xml
popd
##### FOOMATIC
cd foomatic-db
./make_configure
# Fix for lib64 architectures
perl -pi -e "s:/usr/lib/(cups|pdq|ppr):%{_libdir}/\1:g" configure
# delete not included drivers
for i in `ls -1 db/source/driver | sed 's;\.xml$;;' | grep -v -f %{SOURCE100}`;
do
	echo "deleting driver $i"
	echo "$i (unknown)" >> drivers.deleted
	rm -f db/source/driver/$i.xml
done
for i in `cat %{SOURCE101}` ; do
	echo "deleting unsupported driver $i"
	echo "$i (unsupported)" >> drivers.deleted
	rm -f db/source/driver/$i.xml
done
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir}
cd ../foomatic-db-hpijs
./make_configure
# Fix for lib64 architectures
perl -pi -e "s:/usr/lib/(cups|pdq|ppr):%{_libdir}/\1:g" configure
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir}
make
#
cd ../foomatic-filters
./make_configure
# Fix for lib64 architectures
perl -pi -e "s:/usr/lib/(cups|pdq|ppr):%{_libdir}/\1:g" configure
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir}
make
#
cd ../foomatic-db-engine
./make_configure
# Fix for lib64 architectures
perl -pi -e "s:/usr/lib/(cups|pdq|ppr):%{_libdir}/\1:g" configure
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir} \
	--libdir=%{_libdir}
make inplace
#make PERL_INSTALLDIRS=vendor inplace
#
# Delete drivers with empty command line prototype, they would give
# unusable printer/driver combos.
perl ./foomatic-cleanupdrivers ../foomatic-db
#
# Add the Foomatgic data for GIMP-Print
perl ./foomatic-kitload -k ../gimp-print/src/foomatic/foomatic-db/gimp-print
perl ./foomatic-kitload -k ../gimp-print/src/foomatic/foomatic-db/gimp-print-ijs
#
# Add the Foomatic data for HPIJS
perl ./foomatic-kitload -k ../foomatic-db-hpijs/db/source
# Remove data for old patched HPIJS 1.2
rm -f ../foomatic-db/db/source/*/hpijs-rss*.xml
#
# Correct the default drivers of the printer entries to have a valid
# default for every printer.
perl ./foomatic-preferred-driver
#
# Remove inplace build
make clean
#
make PREFIX=%{_prefix} \
	PERL_INSTALLDIRS=vendor \
#	DESTDIR=%{BuildRoot}
#
cd ../foomatic-db
make \
	PREFIX=%{_prefix} \
	DESTDIR=$mydir/foomatic-db-engine \
	install
cd ../foomatic-filters
make \
	PREFIX=%{_prefix} \
	DESTDIR=$mydir/foomatic-db-engine \
	install
echo "BuilRoot = '"$RPM_BUILD_ROOT\'
cd ../foomatic-db-engine
mkdir -p $mydir/foomatic-db-engine/usr/share/foomatic/templates
make \
	PREFIX=%{_prefix} \
	DESTDIR=$mydir/foomatic-db-engine \
	inplace install
perl -pi -e "s:/usr/(bin|share):./usr/\1:g" Foomatic/Defaults.pm
./usr/bin/foomatic-compiledb -j %{numprocs}
mkdir model
for i in `ls -1 ppd | sed 's/-.*//' | sort -u`; do
	mkdir model/$i
done
for i in `ls -1 ppd`; do
	mv ppd/$i model/`echo $i | sed 's/-.*//'`/`echo $i | sed 's/[A-z]*-//'`
done
cd ..

%install
test -n "$RPM_BUILD_ROOT" &&
  test "$RPM_BUILD_ROOT" != / &&
  rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/cups/model
# create required directories first
%{INSTALL_DIR} $RPM_BUILD_ROOT/bin
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/cups/model
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/lib/cups/filter
# # put Japanese drivers to an extra directory (for easier identification :-)
# %{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/cups/model/jp
# cp -a PPD-japanese-add/* $RPM_BUILD_ROOT/usr/share/cups/model/jp
# perl -pi -e 's:^(\*NickName\:.*)"$:$1, jp":;' $RPM_BUILD_ROOT/usr/share/cups/model/jp/*.ppd
#
##### FOOMATIC
#
# put linuxprinting PPDs into CUPS driver directory
cp -a foomatic-db-engine/model $RPM_BUILD_ROOT/usr/share/cups
chmod -R a+X,u+rw,go+r $RPM_BUILD_ROOT/usr/share/cups/model
#
##### GIMP PRINT
#
cd gimp-print
make DESTDIR=$RPM_BUILD_ROOT install
cd ..
# libs are not included neither needed, but 'brp-x86_64-linux' complains about
rm -f $RPM_BUILD_ROOT/usr/%{_lib}/libgimpprint*
mv $RPM_BUILD_ROOT/usr/share/cups/model/{C,stp}
# cleanup: remove unpackaged
rm -f $RPM_BUILD_ROOT/usr/bin/escputil
rm -f $RPM_BUILD_ROOT/usr/bin/ijsgimpprint
rm -f $RPM_BUILD_ROOT/usr/bin/gimpprint-config
rm -f $RPM_BUILD_ROOT%{_infodir}/gimpprint*
rm -f $RPM_BUILD_ROOT/usr/include/gimp-print/gimp-print.h
rm -rf $RPM_BUILD_ROOT/usr/share/gimp-print/doc
rm -rf $RPM_BUILD_ROOT/usr/share/gimp-print/samples
rm -f $RPM_BUILD_ROOT/usr/share/aclocal/gimpprint.m4
rm -f $RPM_BUILD_ROOT/usr/share/locale/*/LC_MESSAGES/gimp-print.mo
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/escputil.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man1/ijsgimpprint.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man?/gimpprint*
#
##### GIMP PRINT (end)
#
# remove unsupported drivers (bugzilla#36539)
for file in `cat %{SOURCE102}`; do
  rm -f $RPM_BUILD_ROOT/usr/share/cups/model/$file
  rm -f $RPM_BUILD_ROOT/usr/share/cups/model/$file.gz
done
# end of bugzilla#36539
#
# unpack the PPDs for modification (next step)
find $RPM_BUILD_ROOT/usr/share/cups/model -name "*.ppd.gz" | while read PPDFILE
do
	gzip -d "$PPDFILE"
done
#
# fix "Hewlett-Packard" and "HEWLETT-PACKARD" to "HP" (bugzilla#36530)
perl -pi -e 's/^(\*Manufacturer[^"]*")Hewlett-Packard"/$1HP"/io;' \
	$RPM_BUILD_ROOT/usr/share/cups/model/HP/*.ppd 
perl -pi -e 's/^(\*Manufacturer[^"]*")hp"/$1HP"/o;' \
	$RPM_BUILD_ROOT/usr/share/cups/model/HP/*.ppd 
#
# unify *Manufacturer and *ModelName (bugzilla#36848)
perl -pi -e 's/^(\*(Manufacturer|ModelName|ShortNickName|NickName)[^"]*")Okidata/$1Oki/io;' \
	$RPM_BUILD_ROOT/usr/share/cups/model/Okidata/*.ppd
#
#perl -pi -e 's/^(\*(Manufacturer|ModelName|ShortNickName|NickName)[^"]*")Okidata/$1Oki/io; \
#	s/^(\*Manufacturer[^"]*")OKI DATA CORP/$1Oki/io; \
#	s/^(\*Product[^"]*"\()OKIDATA/$1Oki/io;' \
#	$RPM_BUILD_ROOT/usr/share/cups/model/Okidata/*.ppd
#mv $RPM_BUILD_ROOT/usr/share/cups/model/Okidata \
#	$RPM_BUILD_ROOT/usr/share/cups/model/Oki
#perl -pi -e 's/Kyocera Mita/Kyocera/io;' \
#	$RPM_BUILD_ROOT/usr/share/cups/model/Kyocera/*.ppd
#
# modify and pack the PPDs
find $RPM_BUILD_ROOT/usr/share/cups/model -name "*.ppd" | while read PPDFILE
do
  if egrep -q '^\*ImageableArea [[:space:]]*A4[:/]' "$PPDFILE"; then
    perl -pi -e 's:^(\*Default.*)Letter\s*$:$1A4\n:; \
      s:^(\*ImageableArea A4.*\:\s+)"0 0 595 842":$1"24 48 571 818":; \
      s:^(\*ImageableArea Letter.*\:\s+)"0 0 612 792":$1"24 48 588 768":' \
	"$PPDFILE" > /dev/null
  fi
  gzip "$PPDFILE"
done

%clean
test -n "$RPM_BUILD_ROOT" &&
  test "$RPM_BUILD_ROOT" != / &&
  true
#  rm -rf $RPM_BUILD_ROOT

%post
# send CUPS daemon signal to import new files
test -x /etc/init.d/cups && \
	/etc/init.d/cups status >/dev/null && \
	/etc/init.d/cups reload >/dev/null
# exit 0 needed here to ignore test return code
exit 0

%post stp
# send CUPS daemon signal to import new files
test -x /etc/init.d/cups && \
	/etc/init.d/cups status >/dev/null && \
	/etc/init.d/cups reload >/dev/null
# exit 0 needed here to ignore test return code
exit 0

%files
%defattr(-,root,root)
%dir /usr/share/cups
%dir /usr/share/cups/model
%dir /usr/share/cups/model/[A-Z]*
/usr/share/cups/model/[A-Z]*/*.ppd*
# %dir /usr/share/cups/model/jp
# /usr/share/cups/model/jp/*.ppd*

%files stp
%defattr(-,root,root)
%config /etc/cups/command.types
%{_bindir}/cups-calibrate
%{_libdir}/cups/backend
%{_libdir}/cups/filter/*
%dir /usr/share/cups
%dir /usr/share/cups/model
/usr/share/cups/calibrate.ppm
%dir /usr/share/cups/model/stp
/usr/share/cups/model/stp/*
%doc %{_mandir}/man8/cups-calibrate.8.gz

%changelog -n cups-drivers
* Wed Apr 14 2004 - kssingvo@suse.de
- fixes for Epson Stylus C63, C64, C83, C84
- fixes for cups page counting in gimp-print filters
* Mon Mar 29 2004 - kssingvo@suse.de
- removed A4 fix, due to missing changes in ghostscript. Letter is now
  the default pagesize for some rare printers (bugzilla#36528)
- changed Okidata to Oki as manufacturer of some printers (bugzilla#36848)
* Wed Mar 24 2004 - kssingvo@suse.de
- fixed "*DefaultPageSize: A4", when there is no "PageSize A4" (bugzilla#36528)
- canon/epson backends from gimp-print subpackage use sysfs now to
  get USB printer identification strings (bugzilla#36774)
* Fri Mar 19 2004 - kssingvo@suse.de
- japanese drivers is now in package "manufacturer-PPDs" (bugzilla#36532)
- fixed broken drivers (by patch and remove) (bugzilla#36539)
- fixed manufacturer name to "HP" (bugzilla#36530)
* Mon Mar 01 2004 - kssingvo@suse.de
- upgrade to 3.0.1 and CVS snapshot 20040301
* Tue Feb 17 2004 - kukuk@suse.de
- Fix building on lib64 architectures
* Thu Feb 12 2004 - kssingvo@suse.de
- upgrade to gimp-print-4.2.6
- adaptions for cups-1.1.20
- "-fstrict-aliasing" for gimp-print build
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Wed Sep 10 2003 - kssingvo@suse.de
- added epl5800l and epl5900l to unsupported printers (bugzilla#30121)
* Thu Sep 04 2003 - kssingvo@suse.de
- removed cups from PreRequires, to make it useable for LPRng
- added import of new files to cupsd for cups-drivers-stp
* Mon Aug 25 2003 - kssingvo@suse.de
- updated database to 2003-08-25 state
- removed no longer neccessary patch
* Mon Aug 25 2003 - ro@suse.de
- fixed segfault in foomatic-combo-xml on x86_64
* Sat Jul 26 2003 - kssingvo@suse.de
- updated database to 2003-07-25 state
- adapted patches
* Fri Jul 04 2003 - kssingvo@suse.de
- fixed %%Requires, foomatic-rip is now in foomatic-filters
* Mon Jun 23 2003 - ro@suse.de
- remove unpackaged files from buildroot
- added directories to filelist
* Wed Mar 12 2003 - kssingvo@suse.de
- additional unsupported drivers found (by tests) and are now removed
* Tue Mar 11 2003 - kssingvo@suse.de
- fix for usb generation in db
* Thu Mar 06 2003 - kssingvo@suse.de
- delete of additional unsupported drivers (similiar names)
- replaced partly working samsunggdi-perl-substitution through patch
* Tue Mar 04 2003 - kssingvo@suse.de
- fixed %%files conflict
* Sun Mar 02 2003 - kssingvo@suse.de
- updated db to 20030302 (looks good)
* Thu Feb 27 2003 - kssingvo@suse.de
- removed file duplicates
* Wed Feb 26 2003 - kssingvo@suse.de
- adapted old patches (Patch5 no longer needed)
- updated database to today
- removed unneccessary xml generation files
* Wed Feb 26 2003 - schwab@suse.de
- Fix configure test.
* Wed Feb 26 2003 - kssingvo@suse.de
  first version for foomatic 3.0pre generation
- still problems expected, hopefully final foomatic-3.0 till RC1
- had to rewrite some parts in spec file a bit
- still not done: old patches had to be adapted for new vesion
* Mon Feb 17 2003 - ro@suse.de
- use gimp-print-4.2.5 like others (ghostscript/gimp)
* Mon Feb 03 2003 - kssingvo@suse.de
- updated to new foomatic database (first try :)
* Tue Oct 29 2002 - kssingvo@suse.de
- 'samsunggdi' printers are not only in samsung subdirectory found
  fixed spec to change any *-gdi.ppd file, e.g. Lexmark (bugzilla#21211)
* Wed Sep 04 2002 - kssingvo@suse.de
- fixed bjc-[68]00 drivers for monochrome mode (bugzilla#18758)
* Mon Sep 02 2002 - kssingvo@suse.de
- renamed 'gdi' to 'samsunggdi' of all Samsung gdi PPDs (to be compatible
  with our ghostscript name).
* Mon Sep 02 2002 - kssingvo@suse.de
- added PPD files for Japanese printers.
* Mon Aug 26 2002 - kssingvo@suse.de
- fixed the 64 bit architecture build problem
* Wed Aug 21 2002 - kssingvo@suse.de
- updated "PreReq:"
- fixed modification of ImageableArea (bugzilla#18094)
* Tue Aug 13 2002 - kssingvo@suse.de
- added "Requires:" for subpackage cups-drivers-stp (bugzilla#17532)
* Mon Aug 05 2002 - kssingvo@suse.de
- worked on foomatic-drivers.known list
- removed outdated de and cz translations (incl. generation and subpackages)
- modified perl script to get a good printable area of page in PPD files
* Sun Aug 04 2002 - kssingvo@suse.de
- updated to same gimp-print version of ghostscript
- updated way to import gimp-print db
- adapted ia64 patch
- added perl script to have "A4" as page default size
- some small modifications
- still missing: goog page margins
* Sat Aug 03 2002 - kukuk@suse.de
- Add PreRequires for sysvinit (needed for init script "status").
* Fri Jul 26 2002 - kssingvo@suse.de
- removed debug "exit 1" from spec file. sorry.
- fixed broken A4 patch
* Wed Jul 24 2002 - kssingvo@suse.de
- moved to foomatic db from 20020709
- still problems known (no A4 default, no good margins) but compiles
  and works fine
* Thu Jul 11 2002 - meissner@suse.de
- libpng -> libpng-devel-packages
* Wed Jun 05 2002 - kssingvo@suse.de
- its no longer noarch, removed Build.Architecture: noarch
- build requires now openssl (through cups-config from package cups-devel)
* Tue May 14 2002 - kssingvo@suse.de
- fixed next problems with x86_64
* Wed May 08 2002 - kssingvo@suse.de
- tried to fix the -lcupsimage problem under x86_64, but noticed it as
  a cups problem
- deleting now not included libraries to make brp-x86_64-linux happy
* Wed Apr 24 2002 - kssingvo@suse.de
- fixes for 64 bit architecture
* Wed Mar 13 2002 - kssingvo@suse.de
- updated hpijs driver.xml and opts.xml for new ghostscript parameter values
  (bugzilla#14928)
* Tue Mar 12 2002 - kssingvo@suse.de
- fixed default page size from 'letter' to 'A4' (bugzilla#14322)
- added missing PostScript drivers (detected by Andreas Klein).
* Mon Feb 18 2002 - kssingvo@suse.de
- update gimp-print to 4.2.0 to match copy in ghostscript-library
  sources (libgimpprint is built there)
* Mon Feb 11 2002 - kssingvo@suse.de
- fixed problem with tar/bzip2 options, which are suddenly wrong
- gimp-print PPDs are now used too
* Wed Feb 06 2002 - kssingvo@suse.de
- removed all-com-ppds.tar.bz2, and cleanppd.pl
- added generation of foomatic database:
  * a view PERL-XML-modules: XML-Dumper, XML-Encoding, XML-Grove,
  XML-Parser, XML-Twig, libxml-enno, libxml-perl
  * the foomatic database: foomatic-20020205.tar.bz2
  * and two xslt files to process the XML database:
  foomatic-manufacturer-id.xsl, foomatic-printer-id.xsl
- rewrote spec completly to setup/generate foomatic files
- kept the DE and CS translation of PPD files (maybe have to be adapted)
* Thu Aug 16 2001 - bjacke@suse.de
- gzip PPDs
* Fri Apr 13 2001 - kendy@suse.cz
- the package uses Buildroot:
* Thu Apr 12 2001 - max@suse.de
- updated printer database
- Package splitted into cups-drivers, cups-drivers-de and
  cups-drivers-cs
- The scripts foomatic-gswrapper and cupsomatic moved to
  the cups package
- started to change the package to use Buildroot:
- single soure files are not compressed anymore
* Mon Apr 09 2001 - kendy@suse.cz
- Added scripts to localize the PPD files.
- Package splitted into cups-drivers and cups-ppds (cups-ppds,
  cups-ppds-cs, cups-ppds-de)
- Added empty German and Czech translations
* Mon Feb 26 2001 - mhafner@suse.de
- updated printer database
- added foomatic-gswrapper
* Fri Dec 01 2000 - ro@suse.de
- made package noarch
* Wed Nov 29 2000 - uli@suse.de
- replaced fixed dependency on perl with autoreqprov
- removed useless provides tag
- fixed problem with funny chars in filenames in cleanppd.pl
- fixed file list
- made paths in post section relative
* Tue Nov 21 2000 - mhafner@suse.de
- renamed to cups-drivers
- changed version to match cups system version
- updated printer database
* Fri Oct 06 2000 - mhafner@suse.de
- updated printer database
- small changes in spec file
* Mon Sep 25 2000 - ro@suse.de
- make post-script succeed unconditionally
* Tue Sep 19 2000 - mhafner@suse.de
- updated printer database
* Fri Sep 15 2000 - mhafner@suse.de
- changed name of package to cups_drv
* Fri Sep 15 2000 - mhafner@suse.de
- updated printer database
- changed some odd names of ppd files
* Thu Sep 14 2000 - mhafner@suse.de
- initial package
